/*
 *	16550 builtin serial UART attachment glue for TS-7KV board.
 */

#include <linux/module.h>
#include <linux/config.h>
#include <linux/types.h>
#include <linux/kernel.h>
#include <linux/fs.h>
#include <linux/mm.h>
#include <linux/serial.h>
#include <linux/reboot.h>
#include <linux/init.h>
#include <asm/uaccess.h>
#include <asm/hardware.h>
#include <asm/bitops.h>
#include <asm/io.h>


static int __init
ts7kvserial_init (void)
{
	int i, line;
	struct serial_struct req;

	for(i = 0; i < 4; i++) {
		if (inb(TS7XXX_PC104IO8 + 0xe0 + (8 * i)) == 0x41 && 
		  inb(TS7XXX_PC104IO8 + 0xe0 + (8 * i) + 1) == 0x20 &&
		  inb(TS7XXX_PC104IO8 + 0xe0 + (8 * i) + 4) & 0x80) {
			int jp = inb(TS7XXX_PC104IO8 + 0xe0 + (8 * i) + 7);
			req.type = PORT_16550A;
			req.port = TS7XXX_PC104IO8 + (0x20 * i);
			req.irq = (jp & 0x10) ? 33 : 40; 
			req.iomem_base = 0;
			req.baud_base = 5906250;
			req.io_type = SERIAL_IO_TS7KV;
			line = register_serial(&req);
			printk(KERN_INFO "TS-7KV serial with jumpers #1:%s #2:%s at /dev/tts/%d\n", 
			((i & 0x1) ? "ON" : "OFF"), ((i & 0x2) ? "ON" : "OFF"), line);
			MOD_INC_USE_COUNT;
		}
	}
	return 0;
}

static void __exit ts7kvserial_exit(void)
{
}

module_init(ts7kvserial_init);
module_exit(ts7kvserial_exit);
MODULE_LICENSE("GPL");
